---
search:
  tags:
    - Players
    - GET
seo:
  description: One player. Reference for the GET /players/{id} endpoint in the Hockay API.
sidebar:
  label: One player
  badge: GET
title: One player
type: openapi-operation
---
`GET /players/{id}`

**Responses**

- `200` — OK
- `304` — Not modified (If-None-Match matched the ETag)
- `401` — Missing, unknown, revoked, or expired key
- `403` — This account cannot use this key class
- `404` — Not found (or not public yet)
- `429` — Rate limited; retry after the Retry-After seconds

Response example, 200:

```json
{
  "data": {
    "id": "string",
    "name": "string",
    "position": "LW",
    "pronouns": "he/him",
    "teamId": "string",
    "lineAssignment": "F1",
    "starRating": 0,
    "retired": true,
    "ratings": {
      "skating": 0,
      "shooting": 0,
      "passing": 0,
      "defense": 0,
      "physicality": 0,
      "goaltending": 0
    },
    "modifiers": [
      {
        "modifierId": "string",
        "name": "string",
        "category": "positive",
        "acquiredAt": "string",
        "acquiredInSeason": -9007199254740991,
        "acquiredInMatchday": "string",
        "acquiredInGame": "string"
      }
    ],
    "seasonsPlayed": -9007199254740991,
    "totalSixthVisits": -9007199254740991,
    "career": [
      {
        "teamId": "string",
        "teamName": "string",
        "seasonJoined": -9007199254740991,
        "seasonLeft": -9007199254740991,
        "reason": "string",
        "current": true
      }
    ],
    "injuries": [
      {
        "injuryId": "string",
        "seasonId": "string",
        "severity": "minor",
        "cause": "string",
        "gamesOut": -9007199254740991,
        "sourceGameId": "string",
        "teamId": "string",
        "revealedAt": "string"
      }
    ]
  }
}
```
